
// $Id$

package net.sf.persist.tests.framework;

import java.util.ArrayList;
import java.util.List;

/**
 * Holds all data necessary to build a bean during runtime and metadata to test it
 */
public class BeanMap {
	
	private String className;
	private String schema;
	private List<FieldMap> fields;
	private boolean supportsAutoGeneratedKeys=true;
	
	public BeanMap(String className) {
		this.className = className;
		this.fields = new ArrayList();
	}
	
	public String getClassName() { return className; }
	
	public List<FieldMap> getFields() { return fields; }
	public void setFields(List<FieldMap> fields) { this.fields = fields; }
	public BeanMap addField(FieldMap fieldMap) { fields.add(fieldMap); return this; }
	
	public FieldMap getField(String fieldName) {
		for (FieldMap fieldMap : fields) {
			if (fieldMap.getFieldName().equals(fieldName)) return fieldMap;
		}
		return null;
	}

	public BeanMap setClassName(String className) {
		this.className = className;
		return this;
	}
	
	public String getSchema() { return schema; }
	public BeanMap setSchema(String schema) {
		this.schema = schema;
		return this;
	}
	
	public boolean supportsAutoGeneratedKeys() { return this.supportsAutoGeneratedKeys; }
	public BeanMap setSupportsAutoGeneratedKeys(boolean supportsAutoGeneratedKeys) {
		this.supportsAutoGeneratedKeys = supportsAutoGeneratedKeys;
		return this;
	}

}
